org.eclipse.incquery.patternlanguage.emf.validation

## Class AbstractEMFPatternLanguageJavaValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.xtext.xbase.validation.AbstractXbaseValidator
      - - org.eclipse.xtext.xbase.validation.XbaseValidator
        - - org.eclipse.xtext.xbase.validation.XbaseJavaValidator
          - - org.eclipse.incquery.patternlanguage.validation.AbstractPatternLanguageJavaValidator
            - - org.eclipse.incquery.patternlanguage.validation.PatternLanguageJavaValidator
              - - org.eclipse.incquery.patternlanguage.emf.validation.AbstractEMFPatternLanguageJavaValidator

- All Implemented Interfaces:
    org.eclipse.emf.ecore.EValidator, IIssueCallback, org.eclipse.xtext.validation.ValidationMessageAcceptor
  Direct Known Subclasses:
    EMFPatternLanguageJavaValidator

      public class AbstractEMFPatternLanguageJavaValidator
      extends PatternLanguageJavaValidator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

      `org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

      `org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.incquery.patternlanguage.validation.PatternLanguageJavaValidator

      `ANNOTATION_PARAMETER_TYPE_ERROR, DUPLICATE_PATTERN_DEFINITION_MESSAGE, DUPLICATE_VARIABLE_MESSAGE, MISSING_ANNOTATION_ATTRIBUTE, RECURSIVE_PATTERN_CALL, TRANSITIVE_CLOSURE_ARITY_IN_PATTERNCALL, TRANSITIVE_CLOSURE_ONLY_IN_POSITIVE_COMPOSITION, UNKNOWN_ANNOTATION_ATTRIBUTE, UNUSED_PRIVATE_PATTERN_MESSAGE`

    - ### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

      `CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

    - ### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

      `INSIGNIFICANT_INDEX`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EValidator

      `MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEMFPatternLanguageJavaValidator()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.patternlanguage.validation.PatternLanguageJavaValidator

      `checkAnnotation, checkApplicabilityOfTransitiveClosureInPatternCall, checkCompareConstraints, checkForImpureJavaCallsInCheckConstraints, checkForImpureJavaCallsInEvalExpressions, checkPackageDeclaration, checkPatternBody, checkPatternCallParameters, checkPatternParameters, checkPatterns, checkPrivatePatternCall, checkPrivatePatternUsage, checkRecursivePatternCall, checkReturnTypeOfCheckConstraints, checkVariableNames, checkVariableUsageCounters, error, isNamedSingleUse, isUnnamedSingleUseVariable, warning`

    - ### Methods inherited from class org.eclipse.xtext.xbase.validation.XbaseValidator

      `checkAssignment, checkAssignment, checkAssignment, checkCasts, checkCatchClausesOrder, checkClosureParameterTypes, checkClosureParams, checkConstructorArgumentsAreValid, checkDelegateConstructorIsFirst, checkDeprecated, checkDeprecated, checkDeprecated, checkDeprecated, checkDeprecated, checkDuplicatedCases, checkExplicitOperationCall, checkExplicitOperationCall, checkExplicitOperationCall, checkImports, checkIncompleteCasesOnEnum, checkInnerExpressions, checkInstanceOf, checkInstanceOfOrder, checkLocalUsageOfDeclared, checkLocalUsageOfSwitchParameter, checkNoCircularConstructorCall, checkNoForwardReferences, checkNoJavaStyleTypeCasting, checkOperandTypesForTripleEquals, checkPrimitiveComparedToNull, checkRedundantCase, checkReturn, checkTypeArguments, checkTypeArguments, checkTypeGuards, checkTypeGuardsOrder, checkTypeLiteral, checkTypeParameterConstraintIsValid, checkTypeParameterNotUsedInStaticContext, checkTypeReferenceIsNotVoid, checkTypeReferenceIsNotVoid, checkTypes, checkVariableDeclaration, checkVariableIsNotInferredAsVoid, doCheckTypeParameterForwardReference`

    - ### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

      `acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, getMessageAcceptor, setInjector, setMessageAcceptor`

    - ### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

      `isLanguageSpecific, register, validate, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEMFPatternLanguageJavaValidator

          public AbstractEMFPatternLanguageJavaValidator()